package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel("提交决标模型")
public class DrpQuoteComparisonDetailSupplierVO {
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商")
   private String supplierName;
   @ApiModelProperty("报价单价")
   private Integer quotePrice;
   @ApiModelProperty("报价时间")
   private LocalDateTime quoteTime;
   @ApiModelProperty("状态")
   private Integer status;
   @ApiModelProperty("单价差额")
   private Integer diffPrice;
   @ApiModelProperty("单价差额")
   private BigDecimal diffRate;
   @ApiModelProperty("成本差额")
   private BigDecimal diffCost;

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public Integer getQuotePrice() {
      return this.quotePrice;
   }

   public LocalDateTime getQuoteTime() {
      return this.quoteTime;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Integer getDiffPrice() {
      return this.diffPrice;
   }

   public BigDecimal getDiffRate() {
      return this.diffRate;
   }

   public BigDecimal getDiffCost() {
      return this.diffCost;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setQuotePrice(final Integer quotePrice) {
      this.quotePrice = quotePrice;
   }

   public void setQuoteTime(final LocalDateTime quoteTime) {
      this.quoteTime = quoteTime;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setDiffPrice(final Integer diffPrice) {
      this.diffPrice = diffPrice;
   }

   public void setDiffRate(final BigDecimal diffRate) {
      this.diffRate = diffRate;
   }

   public void setDiffCost(final BigDecimal diffCost) {
      this.diffCost = diffCost;
   }
}
